package electrical_system is
	nature electrical is real across real through;
	terminal ground : electrical;
end electrical_system;
use electrical_system.all;
entity bmacres is
	generic ( r : real := 5.0);
	port ( terminal pos, neg : electrical );
end bmacres;
architecture arch1 of bmacres is
	quantity volt across pos to neg;
	quantity curr through pos to neg;
begin
  mosequations: procedural is
  begin 
    curr := volt / r;
  end procedural;
end architecture arch1;
